<?php
// Imposta l'intestazione del contenuto della risposta come JSON
header('Content-Type: application/json');

// Connessione al database MySQL
$conn = new mysqli("localhost", "root", "", "my_antoniomdcv");

// Verifica se ci sono errori di connessione al database
if ($conn->connect_errno) {
    echo json_encode(["error" => "Impossibile connettersi al server"]);
    exit;
}

// Recupera il parametro 'genere' dall'URL, se presente
$genere = isset($_GET['genere']) ? $_GET['genere'] : '';

// Query SQL per recuperare i dati dei libri dalla tabella 'libri' e il corrispondente genere dalla tabella 'genere'
$sql = "SELECT libri.*, genere.Genere FROM libri INNER JOIN genere ON libri.IDGenere = genere.IDGenere";

// Aggiungi il filtro per il genere, se presente
if (!empty($genere) && $genere != 'Tutti') {
    $sql .= " WHERE genere.Genere = '" . $conn->real_escape_string($genere) . "'";
}

// Esecuzione della query
$result = $conn->query($sql);

// Verifica del risultato della query
if ($result && $result->num_rows > 0) {
    $books = array();
    while ($row = $result->fetch_assoc()) {
        $books[] = $row;
    }
    echo json_encode(["success" => true, "books" => $books]);
} else {
    echo json_encode(["error" => "Nessun libro trovato"]);
}

// Chiusura della connessione al database
$conn->close();
?>
